Subject: bug#69287: 30.0.50; Pasting text from KDE clipboard sometimes crashes Emacs

From: David Ponce <[email-masked]>
Date: Wed, 21 Feb 2024 10:58:47 +0100

On 21/02/2024 02:56, Po Lu wrote:
> David Ponce <[email-masked]> writes:
> 
>> Hello,
>>
>> While working in Emacs, I often paste text from the 'KDE clipboard popup
>> menu at mouse position' into the *scratch* buffer, and sometimes this
>> crashes Emacs, but not systematically.
>>
>> Since a few days I run Emacs under GDB, and I managed to get the
>> attached backtrace.
>>
>> Please, eventually let me know how I can help to get more useful details
>> when another crash will happen.
>>
>> Thanks.
> 
> I suspect invalid Lisp objects are being recorded into one of several
> lists that hold temporary data during selection conversion.  Please
> build Emacs with --enable-checking and post a backtrace from there.

Please, find attached the requested backtrace got from Emacs rebuilt with
--enable-checking.
Now Emacs consistently crashes after I pasted some Elisp code in a buffer,
as soon as I start to modify the text.